Technical OverviewAPI Reference
You're viewing archived v1 docs.View latest
Apps
Apps with current draft and latest release summaries.
Authorization
oauth openid, profile, emailAuthorizationBearer <token>
In: header
Scope: openid, profile, email
Query Parameters
cursor?string
limit?integer
Range
-9007199254740991 <= value <= 100sort?string
query?string
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://mcp.getdrio.com/api/v2/apps"{
"data": [
{
"id": "string",
"public_mcp_id": "string",
"slug": "string",
"name": "string",
"description": "string",
"enabled": true,
"starter_template_id": "meeting-booking",
"company_url": "string",
"server_instructions": "string",
"branding": {
"primary_color": "string",
"accent_color": "string",
"background_color": "string",
"font_family": "string",
"border_radius": "none",
"logo_url": "string",
"secondary_color": "string"
},
"created_at": "string",
"updated_at": "string",
"last_modified_at": "string",
"current_draft": {
"id": "string",
"source_release_id": "string",
"has_changes": true,
"created_at": "string",
"updated_at": "string",
"last_edited_at": "string"
},
"latest_release": {
"id": "string",
"published_at": "string",
"endpoint": "string",
"state": "published"
}
}
],
"page": {
"has_more": true,
"next_cursor": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"details": null,
"request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
}
}{
"error": {
"code": "string",
"message": "string",
"details": null,
"request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
}
}{
"error": {
"code": "string",
"message": "string",
"details": null,
"request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
}
}Authorization
oauth openid, profile, emailAuthorizationBearer <token>
In: header
Scope: openid, profile, email
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://mcp.getdrio.com/api/v2/apps" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "slug": "string" }'{
"app": {
"id": "string",
"public_mcp_id": "string",
"slug": "string",
"name": "string",
"description": "string",
"enabled": true,
"starter_template_id": "meeting-booking",
"company_url": "string",
"server_instructions": "string",
"branding": {
"primary_color": "string",
"accent_color": "string",
"background_color": "string",
"font_family": "string",
"border_radius": "none",
"logo_url": "string",
"secondary_color": "string"
},
"created_at": "string",
"updated_at": "string",
"last_modified_at": "string",
"current_draft": {
"id": "string",
"source_release_id": "string",
"has_changes": true,
"created_at": "string",
"updated_at": "string",
"last_edited_at": "string"
},
"latest_release": {
"id": "string",
"published_at": "string",
"endpoint": "string",
"state": "published"
}
}
}{
"error": {
"code": "string",
"message": "string",
"details": null,
"request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
}
}{
"error": {
"code": "string",
"message": "string",
"details": null,
"request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
}
}{
"error": {
"code": "string",
"message": "string",
"details": null,
"request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
}
}Authorization
oauth openid, profile, emailAuthorizationBearer <token>
In: header
Scope: openid, profile, email
Path Parameters
app_id*string
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://mcp.getdrio.com/api/v2/apps/string"{
"app": {
"id": "string",
"public_mcp_id": "string",
"slug": "string",
"name": "string",
"description": "string",
"enabled": true,
"starter_template_id": "meeting-booking",
"company_url": "string",
"server_instructions": "string",
"branding": {
"primary_color": "string",
"accent_color": "string",
"background_color": "string",
"font_family": "string",
"border_radius": "none",
"logo_url": "string",
"secondary_color": "string"
},
"created_at": "string",
"updated_at": "string",
"last_modified_at": "string",
"current_draft": {
"id": "string",
"source_release_id": "string",
"has_changes": true,
"created_at": "string",
"updated_at": "string",
"last_edited_at": "string"
},
"latest_release": {
"id": "string",
"published_at": "string",
"endpoint": "string",
"state": "published"
}
}
}{
"error": {
"code": "string",
"message": "string",
"details": null,
"request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
}
}{
"error": {
"code": "string",
"message": "string",
"details": null,
"request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
}
}{
"error": {
"code": "string",
"message": "string",
"details": null,
"request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
}
}{
"error": {
"code": "string",
"message": "string",
"details": null,
"request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
}
}Authorization
oauth openid, profile, emailAuthorizationBearer <token>
In: header
Scope: openid, profile, email
Path Parameters
app_id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://mcp.getdrio.com/api/v2/apps/string" \ -H "Content-Type: application/json" \ -d '{}'{
"app": {
"id": "string",
"public_mcp_id": "string",
"slug": "string",
"name": "string",
"description": "string",
"enabled": true,
"starter_template_id": "meeting-booking",
"company_url": "string",
"server_instructions": "string",
"branding": {
"primary_color": "string",
"accent_color": "string",
"background_color": "string",
"font_family": "string",
"border_radius": "none",
"logo_url": "string",
"secondary_color": "string"
},
"created_at": "string",
"updated_at": "string",
"last_modified_at": "string",
"current_draft": {
"id": "string",
"source_release_id": "string",
"has_changes": true,
"created_at": "string",
"updated_at": "string",
"last_edited_at": "string"
},
"latest_release": {
"id": "string",
"published_at": "string",
"endpoint": "string",
"state": "published"
}
}
}{
"error": {
"code": "string",
"message": "string",
"details": null,
"request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
}
}{
"error": {
"code": "string",
"message": "string",
"details": null,
"request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
}
}{
"error": {
"code": "string",
"message": "string",
"details": null,
"request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
}
}{
"error": {
"code": "string",
"message": "string",
"details": null,
"request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
}
}